Update a specific Merchant's Details
curl --request PATCH \
--url https://app.dimepayments.com/api/merchant/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"data": []
}'import requests
url = "https://app.dimepayments.com/api/merchant/update"
payload = { "data": [] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({data: []})
};
fetch('https://app.dimepayments.com/api/merchant/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"name": "Dime Payments",
"sid": "00001",
"mcc": "8999",
"slug": "pay",
"pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
"processor_mid": "650000012366624",
"active": true,
"active_at": null,
"g_pay": false,
"a_pay": false,
"pci_compliance": true,
"website": "https://dimepayments.com",
"addr1": "53 S. Main St",
"addr2": "",
"city": "Alpharetta",
"state": "GA",
"zip": "30009",
"phone": "4049064975",
"primary_phone": "4049064975",
"primary_email": "ben@dimepayments.com",
"primary_name": "Ben Habeck"
}
}{
"errors": {
"data.phone": [
"The data.phone field is required."
]
}
}{
"message": "Permission Denied."
}Merchant management
Update a specific Merchant's Details
Update a Merchant’s details.
PATCH
/
api
/
merchant
/
update
Update a specific Merchant's Details
⌘I

